/*
 * ImgLib.java
 *
 * Copyright (C) 2003 Miika Nurminen
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */
import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;

/**
 * Simple library for image handling
 * @author  minurmin
 * @version 0.1 / 2003-09-23
 */
public class ImgLib {
  
  /** Creates a new instance of ImgLib */
  public ImgLib() {
  }
  
  /**
   * Todo: make it parse the filename and convert in automatically to URL
   */
  public static BufferedImage readImage(String imgname) throws java.io.IOException {
//    System.err.println(imgname);
    return ImageIO.read(new java.io.File(imgname));
  }
  
  /**
   * @param args the command line arguments
   */
  public static void main(String[] args) {
  }
  
}
